Package org.apache.sysds.lops

# Class UnaryCP

java.lang.Object
org.apache.sysds.lops.Lop
org.apache.sysds.lops.UnaryCP

public class UnaryCP extends Lop

## Nested Class Summary

## Nested classes/interfaces inherited from class org.apache.sysds.lops.Lop

`Lop.SimpleInstType, Lop.Type, Lop.VisitStatus`

## Field Summary

### Fields inherited from class org.apache.sysds.lops.Lop

`_beginColumn, _beginLine, _endColumn, _endLine, _filename, CP_CHILD_THREAD, CP_ROOT_THREAD_ID, DATATYPE_PREFIX, FILE_SEPARATOR, FRAME_VAR_NAME_PREFIX, INSTRUCTION_DELIMITOR, LITERAL_PREFIX, MATRIX_VAR_NAME_PREFIX, NAME_VALUE_SEPARATOR, OPERAND_DELIMITOR, PROCESS_PREFIX, SCALAR_VAR_NAME_PREFIX, UPDATE_INPLACE_PREFIX, VALUETYPE_PREFIX, VARIABLE_NAME_PLACEHOLDER`

## Constructor Summary

Constructors
Constructor
Description
`UnaryCP(Lop input, Types.OpOp1 op, Types.DataType dt, Types.ValueType vt)`
`UnaryCP(Lop input, Types.OpOp1 op, Types.DataType dt, Types.ValueType vt, int k)`
`UnaryCP(Lop input, Types.OpOp1 op, Types.DataType dt, Types.ValueType vt, Types.ExecType et)`
`UnaryCP(Lop input, Types.OpOp1 op, Types.DataType dt, Types.ValueType vt, Types.ExecType et, int k)`
Constructor to perform a scalar operation

## Method Summary

Modifier and Type
Method
Description
`String`
`getInstructions(String input, String output)`
Method should be overridden if needed
`String`
`getOpCode()`
`String`
`toString()`
Method to have Lops print their state.

### Methods inherited from class org.apache.sysds.lops.Lop

`activatePrefetch, addInput, addOutput, addToDag, createReachable, getAggType, getBeginColumn, getBeginLine, getBroadcastInput, getComputeEstimate, getDataType, getEndColumn, getEndLine, getExecType, getFederatedOutput, getFilename, getID, getInput, getInputs, getInstructions, getInstructions, getInstructions, getInstructions, getInstructions, getInstructions, getInstructions, getInstructions, getInstructions, getInstructions, getInstructions, getLevel, getNnz, getNumCols, getNumRows, getOutputMemoryEstimate, getOutputParameters, getOutputs, getPipelineID, getProducesIntermediateOutput, getReachable, getSimpleInstructionType, getTotalMemoryEstimate, getType, getValueType, getVisited, isAllOutputsCP, isAllOutputsGPU, isAsynchronousOp, isDataExecLocation, isExecCP, isExecGPU, isExecSpark, isVariable, isVisited, prefetchActivated, prepInputOperand, prepInputOperand, prepOperand, prepOperand, prepOutputOperand, prepOutputOperand, prepOutputOperand, prepScalarInputOperand, prepScalarInputOperand, prepScalarLabel, prepScalarOperand, printErrorLocation, removeConsumer, removeInput, removeOutput, replaceAllInputs, replaceAllOutputs, replaceInput, resetVisitStatus, setAllPositions, setAsynchronous, setBeginColumn, setBeginLine, setComputeEstimate, setConsumerCount, setDataType, setEndColumn, setEndLine, setExecType, setFederatedOutput, setFilename, setMemoryEstimates, setNewID, setPipelineID, setValueType, setVisited, setVisited`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### UnaryCP

public UnaryCP(Lop input, Types.OpOp1 op, Types.DataType dt, Types.ValueType vt, Types.ExecType et, int k)
Constructor to perform a scalar operation

Parameters:
  `input` - low-level operator 1
  `op` - operation type
  `dt` - data type of the output
  `vt` - value type of the output
  `et` - exec type
  `k` - parallelization degree

### UnaryCP

public UnaryCP(Lop input, Types.OpOp1 op, Types.DataType dt, Types.ValueType vt, Types.ExecType et)

### UnaryCP

public UnaryCP(Lop input, Types.OpOp1 op, Types.DataType dt, Types.ValueType vt, int k)

### UnaryCP

public UnaryCP(Lop input, Types.OpOp1 op, Types.DataType dt, Types.ValueType vt)

## Method Details

### toString

public String toString()
Description copied from class: `Lop`
Method to have Lops print their state. This is for debugging purposes.

Specified by:
  `toString` in class `Lop`

### getOpCode

public String getOpCode()

### getInstructions

public String getInstructions(String input, String output)
Description copied from class: `Lop`
Method should be overridden if needed

Overrides:
  `getInstructions` in class `Lop`
Parameters:
  `input` - input 1
  `output` - output
Returns:
  instructions as string